Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415311 - Review Request: elementary-theme - elementary GTK+ Stylesheet
Summary: Review Request: elementary-theme - elementary GTK+ Stylesheet
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2017-01-20 20:32 UTC by Fabio Valentini
Modified: 2017-11-11 17:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-11 21:22:21 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-01-20 20:32:00 UTC
Spec URL: https://raw.githubusercontent.com/decathorpe/fedora-packaging/e0aba4c7a7560f6e6bf615bc255e05a76a6fa3fa/specs/elementary-theme/elementary-theme.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/decathorpe/staging/fedora-25-x86_64/00502106-elementary-theme/elementary-theme-5.0.3-2.fc25.src.rpm

Description: An original Gtk.CSS stylesheet designed specifically for elementary OS and its desktop environment: Pantheon.

Fedora Account System Username: decathorpe


koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=17346544

COPR build for f25 and rawhide: https://copr.fedorainfracloud.org/coprs/decathorpe/staging/build/502106/


Packager's comment concerning relationship of this new package with the existing "egtk" package:

This is *not* (really) a rename of the existing (but orphaned - before I unorphaned it recently) "egtk" package. Not only did the upstream project change it's name from "egtk" to "elementary-theme", but it's also incompatible with the current "egtk" version in fedora as it removed the metacity and xfwm4 themes completely.

Also, the theme itself is called "elementary" in the "index.theme" file now and is installed to /usr/share/themes/elementary - 
whereas the "spiritual predecessor" was called "eGTK" in the "index.theme" file and is installed to /usr/share/themes/eGTK instead.

This means that the two packages don't have file conflicts and should be installable in parallel.


In conclusion, adding this as a new package ensures that:

1. the package name reflects the upstream project name properly, both for this package and for "egtk", which was the name of the project and the theme at the time of the release of the original package) AND

2. the metacity and xfwm4 themes remain available for the people who use them.


My plan for the future of the egtk package is to remove it from rawhide as soon as possible (it's broken beyond repair on recent versions of GTK3, the new package will fix that), wait for f24 and f25 to go EOL, and retire it then.

Comment 1 Neal Gompa 2017-01-21 00:25:59 UTC
Taking this review.

Comment 2 Neal Gompa 2017-01-21 01:03:16 UTC
> Source1:        %{name}.conf

What is this file? I don't see it referenced anywhere... Did you mean to leave it in?

Comment 4 Neal Gompa 2017-01-21 17:27:11 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1
     or later)", "GPL (v3 or later)", "Unknown or generated". 84 files have
     unknown license. Detailed output of licensecheck in
     /home/makerpm/1415311-elementary-theme/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: elementary-theme-5.0.3-3.fc26.noarch.rpm
          elementary-theme-gtk2-5.0.3-3.fc26.noarch.rpm
          elementary-theme-gtk3-5.0.3-3.fc26.noarch.rpm
          elementary-theme-plank-5.0.3-3.fc26.noarch.rpm
          elementary-theme-5.0.3-3.fc26.src.rpm
elementary-theme.noarch: W: summary-not-capitalized C elementary GTK+ Stylesheet
elementary-theme.noarch: W: spelling-error %description -l en_US stylesheet -> style sheet, style-sheet, stylishness
elementary-theme-gtk2.noarch: W: summary-not-capitalized C elementary GTK+ Stylesheet for GTK+2
elementary-theme-gtk2.noarch: W: spelling-error %description -l en_US stylesheet -> style sheet, style-sheet, stylishness
elementary-theme-gtk2.noarch: W: no-documentation
elementary-theme-gtk3.noarch: W: summary-not-capitalized C elementary GTK+ Stylesheet for GTK+3
elementary-theme-gtk3.noarch: W: spelling-error %description -l en_US stylesheet -> style sheet, style-sheet, stylishness
elementary-theme-gtk3.noarch: W: no-documentation
elementary-theme-plank.noarch: W: summary-not-capitalized C elementary GTK+ Stylesheet for plank
elementary-theme-plank.noarch: W: spelling-error %description -l en_US stylesheet -> style sheet, style-sheet, stylishness
elementary-theme-plank.noarch: W: no-documentation
elementary-theme.src: W: summary-not-capitalized C elementary GTK+ Stylesheet
elementary-theme.src: W: spelling-error %description -l en_US stylesheet -> style sheet, style-sheet, stylishness
5 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
elementary-theme.noarch: W: summary-not-capitalized C elementary GTK+ Stylesheet
elementary-theme.noarch: W: spelling-error %description -l en_US stylesheet -> style sheet, style-sheet, stylishness
elementary-theme-plank.noarch: W: summary-not-capitalized C elementary GTK+ Stylesheet for plank
elementary-theme-plank.noarch: W: spelling-error %description -l en_US stylesheet -> style sheet, style-sheet, stylishness
elementary-theme-plank.noarch: W: no-documentation
elementary-theme-gtk2.noarch: W: summary-not-capitalized C elementary GTK+ Stylesheet for GTK+2
elementary-theme-gtk2.noarch: W: spelling-error %description -l en_US stylesheet -> style sheet, style-sheet, stylishness
elementary-theme-gtk2.noarch: W: no-documentation
elementary-theme-gtk3.noarch: W: summary-not-capitalized C elementary GTK+ Stylesheet for GTK+3
elementary-theme-gtk3.noarch: W: spelling-error %description -l en_US stylesheet -> style sheet, style-sheet, stylishness
elementary-theme-gtk3.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 11 warnings.



Requires
--------
elementary-theme (rpmlib, GLIBC filtered):

elementary-theme-plank (rpmlib, GLIBC filtered):
    elementary-theme

elementary-theme-gtk2 (rpmlib, GLIBC filtered):
    elementary-theme
    gtk-murrine-engine

elementary-theme-gtk3 (rpmlib, GLIBC filtered):
    elementary-theme



Provides
--------
elementary-theme:
    elementary-theme

elementary-theme-plank:
    elementary-theme-plank

elementary-theme-gtk2:
    elementary-theme-gtk2

elementary-theme-gtk3:
    elementary-theme-gtk3



Source checksums
----------------
https://launchpad.net/egtk/5.x/5.0.3/+download/elementary-theme-5.0.3.tar.xz :
  CHECKSUM(SHA256) this package     : 7a47fb30c4a0c72af31296feb51dba24801c16949a9bab34d97de78457638db0
  CHECKSUM(SHA256) upstream package : 7a47fb30c4a0c72af31296feb51dba24801c16949a9bab34d97de78457638db0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1415311 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Neal Gompa 2017-01-21 17:27:27 UTC
APPROVED.

Comment 6 Gwyn Ciesla 2017-01-23 14:15:21 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/elementary-theme

Comment 7 Fabio Valentini 2017-01-31 17:19:04 UTC
Oops, I pushed the package to rawhide but forgot to submit the bodhi update for f25. That is remedied now :)


Note You need to log in before you can comment on or make changes to this bug.